Bouncy Castle Cryptography Library 1.45

## org.bouncycastle.asn1.x9
Class X9ECParameters

    java.lang.Object
      org.bouncycastle.asn1.ASN1Encodable
          org.bouncycastle.asn1.x9.X9ECParameters

All Implemented Interfaces:
  DEREncodable, X9ObjectIdentifiers

    public class X9ECParameters

extends ASN1Encodable
implements X9ObjectIdentifiers

ASN.1 def for Elliptic-Curve ECParameters structure. See X9.62, for further details.

Field Summary

Fields inherited from class org.bouncycastle.asn1.ASN1Encodable
`BER, DER`

Fields inherited from interface org.bouncycastle.asn1.x9.X9ObjectIdentifiers

`ansi_X9_62, c2onb191v4, c2onb191v5, c2onb239v4, c2onb239v5, c2pnb163v1, c2pnb163v2, c2pnb163v3, c2pnb176w1, c2pnb208w1, c2pnb272w1, c2pnb304w1, c2pnb368w1, c2tnb191v1, c2tnb191v2, c2tnb191v3, c2tnb239v1, c2tnb239v2, c2tnb239v3, c2tnb359v1, c2tnb431r1, characteristic_two_field, cTwoCurve, dhEphem, dhHybrid1, dhHybrid2, dhHybridOneFlow, dhOneFlow, dhpublicnumber, dhSinglePass_cofactorDH_sha1kdf_scheme, dhSinglePass_stdDH_sha1kdf_scheme, dhStatic, ecdsa_with_SHA1, ecdsa_with_SHA2, ecdsa_with_SHA224, ecdsa_with_SHA256, ecdsa_with_SHA384, ecdsa_with_SHA512, ellipticCurve, gnBasis, id_dsa, id_dsa_with_sha1, id_ecPublicKey, id_ecSigType, id_fieldType, id_publicKeyType, mqv1, mqv2, mqvSinglePass_sha1kdf_scheme, ppBasis, prime_field, prime192v1, prime192v2, prime192v3, prime239v1, prime239v2, prime239v3, prime256v1, primeCurve, tpBasis, x9_42_schemes, x9_63_scheme`

Constructor Summary
`X9ECParameters(ASN1Sequence seq)`
`X9ECParameters(org.bouncycastle.math.ec.ECCurve curve, org.bouncycastle.math.ec.ECPoint g, java.math.BigInteger n)`
`X9ECParameters(org.bouncycastle.math.ec.ECCurve curve, org.bouncycastle.math.ec.ECPoint g, java.math.BigInteger n, java.math.BigInteger h)`
`X9ECParameters(org.bouncycastle.math.ec.ECCurve curve, org.bouncycastle.math.ec.ECPoint g, java.math.BigInteger n, java.math.BigInteger h, byte[] seed)`

Method Summary
`org.bouncycastle.math.ec.ECCurve` `getCurve()`
`org.bouncycastle.math.ec.ECPoint` `getG()`
`java.math.BigInteger` `getH()`
`java.math.BigInteger` `getN()`
`byte[]` `getSeed()`
`DERObject` `toASN1Object()` Produce an object suitable for an ASN1OutputStream.

Methods inherited from class org.bouncycastle.asn1.ASN1Encodable
`equals, getDEREncoded, getDERObject, getEncoded, getEncoded, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### X9ECParameters

    public X9ECParameters(ASN1Sequence seq)

### X9ECParameters

    public X9ECParameters(org.bouncycastle.math.ec.ECCurve curve,
                          org.bouncycastle.math.ec.ECPoint g,
                          java.math.BigInteger n)

### X9ECParameters

    public X9ECParameters(org.bouncycastle.math.ec.ECCurve curve,
                          org.bouncycastle.math.ec.ECPoint g,
                          java.math.BigInteger n,
                          java.math.BigInteger h)

### X9ECParameters

    public X9ECParameters(org.bouncycastle.math.ec.ECCurve curve,
                          org.bouncycastle.math.ec.ECPoint g,
                          java.math.BigInteger n,
                          java.math.BigInteger h,
                          byte[] seed)

Method Detail

### getCurve

    public org.bouncycastle.math.ec.ECCurve getCurve()

### getG

    public org.bouncycastle.math.ec.ECPoint getG()

### getN

    public java.math.BigInteger getN()

### getH

    public java.math.BigInteger getH()

### getSeed

    public byte[] getSeed()

### toASN1Object

    public DERObject toASN1Object()

  Produce an object suitable for an ASN1OutputStream.

        ECParameters ::= SEQUENCE {
            version         INTEGER { ecpVer1(1) } (ecpVer1),
            fieldID         FieldID {{FieldTypes}},
            curve           X9Curve,
            base            X9ECPoint,
            order           INTEGER,
            cofactor        INTEGER OPTIONAL
        }

  Specified by:
    `toASN1Object` in class `ASN1Encodable`

Bouncy Castle Cryptography Library 1.45